/**
 *
 * Trick label & SVG to replace built-in checkboxes & radiobuttons.
 *
 **/

 fieldset {
    border: 0;
    padding: 0;
    margin: 0;
    min-width: 0;
    margin-inline-start: 0;
    margin-inline-end: 0;
    padding-block-start: 0;
    padding-inline-start: 0;
    padding-inline-end: 0;
    padding-block-end: 0;
    min-inline-size: -webkit-fill-available;
    width: 100%;
  }
  
  .qcm-proposal-label__checkbox-picture {
    position: absolute;
    left: -11px;
    top: 3px;
  }
  
  .label-checkbox-proposal {
    display: inline-block;
    padding-left: 20px;
    line-height: 21px;
    position: relative;
    cursor: pointer;
    font-weight: $font-normal;
  }
  
  /**
   *
   * Configure Checkboxes of proposals
   *
   **/
  .input-checkbox-proposal {
    opacity: 0;
    display: none;
  }
  
  /* XXX Can't use BEM properly when using CSS state manipulation */
  .input-checkbox-proposal:checked ~ label svg.checkbox-off {
    opacity: 0;
    transition: opacity 0.2s linear;
  }
  
  .input-checkbox-proposal:not(:checked) ~ label svg.checkbox-off {
    opacity: 1;
    transition: opacity 0.2s linear;
  }
  
  .input-checkbox-proposal:checked ~ label svg.checkbox-on {
    opacity: 1;
    transition: opacity 0.2s linear;
  }
  
  .input-checkbox-proposal:not(:checked) ~ label svg.checkbox-on {
    opacity: 0;
    transition: opacity 0.2s linear;
  }
  
  /**
   *
   * Configure Radios of proposals
   *
   **/
  .picture-checkbox-proposal--qcu {
    position: absolute;
    left: -11px;
    top: 3px;
  }

  /**
   *
   * Configure Radios of input files
   *
   **/
  .label-checkbox-downloadable {
    display: inline-block;
    padding-left: 18px;
    position: relative;
    cursor: pointer;
  }
  
  /**
   *
   * Configure Checkboxes that MUST be disabled
   *
   **/
  .picture-checkbox-proposal--comparison {
    position: absolute;
    left: -11px;
    top: 3px;
  }
  
  .picture-checkbox-proposal--qcm {
    position: absolute;
    left: -11px;
    top: 3px;
  }
  
  .qcm-panel__proposal-label {
    line-height: 21px;
    position: relative;
  }
  
  .proposal-paragraph {
    margin-left: 7px;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;
  }
  
  .proposal-paragraph > input[type=checkbox] {
    flex-shrink: 0;
  }
  
  /* cursor: pointer is disabled here */
  .label-proposal-comparison-window {
    display: inline-block;
    padding-left: 20px;
    position: relative;
  }
  
  .proposal-draglist {
    border: #828282 solid 2px;
    border-radius: 3px;
    width: 100%;
    min-height: 40px;
  }
  
  .dragSortItem {
    max-width: 25%;
    margin: 3px;
  }
  
  .proposal-draglist-items {
    border: #828282 solid 1px;
    padding: 1px;
  }

  .ordo-response {
    display: flex;
    align-items: center;
  }
  
  .arrow::after {
    content: '🡢';
    line-height: 25px;
  
  }  
  
  // striped power select options
  ul.ember-power-select-options > li:nth-of-type(2n) {
    background-color: #E9E9F9;
    color: black;
  }
  
  ul.ember-power-select-options > li:nth-of-type(odd) {
    background-color: white;
    color: black;
  }
  
  ul.ember-power-select-options > li:hover {
    background-color: #5897FB;
    color: white;
  }
  